Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4645 - smbmount no longer allows to set smbfs group/permissions
Summary: smbmount no longer allows to set smbfs group/permissions
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-22 03:05 UTC by v.kuhlmann
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-08-31 14:49:34 UTC


Attachments (Terms of Use)

Description v.kuhlmann 1999-08-22 03:05:36 UTC
samba + samba-client 2.0.5a-1 (update)

It used to be possible (2.0.3a, RH 6.0) to set the
group and permissions for files and directories with
someting like
	smbmount ... -c "mount -g smb -d 700 -f 600"
This is still stated in the man page, but smbmount no
longer has a -c option. smbmnt is even less featureful -
other than the required -s option it has nothing useful in
terms of options.
The current smbmount seems to have reverted to the behaviour
of RH5.x, without however having -g -d -f.

Another thing is that for the past so many years the
smbfs/smbmount has a very strong tendancy to assign dates
like 1917 to files/diretories. This causes a lot of problems
later as these dates are illegal under Unix.

Comment 1 Bill Nottingham 1999-08-23 16:17:59 UTC
Yes, this was changed in samba; as such, we probably won't change
it back. Sorry.

I haven't noticed strange timestamps here with it, though.
Are you mounting NT server filesystems with the Win95 workarounds
enabled in the kernel?  That could cause strange timestamp
behavior...

Comment 2 Bill Nottingham 1999-08-31 14:49:59 UTC
We probably should have mentioned  that the command line options
did change in the advisory, yes.

As for the Win95 workaround/NT conflict, this should be fixed
with kernels >= 2.2.10, as they enable/disable the workarounds
automatically on a per-share basis.


Note You need to log in before you can comment on or make changes to this bug.